Subject: Re: [trill] draft-ietf-trill-ia-appsubtlv-05.txt - Shepherd's review

From: Donald Eastlake <[email-masked]>
Date: Sun, 20 Dec 2015 13:05:50 -0500

Hi Sue,

Thanks for the comments.

On Fri, Oct 2, 2015 at 5:12 PM, Susan Hares <[email-masked]> wrote:
> Shepherd’s review:  draft-ietf-trill-ia-appsubtlv-05
>
> Authors: Donald Eastlake and Yizhou Li
>
> Status: Major concern on complexity of AFN template concepts. This
> concern has been expressed to authors who will revise the draft. The
> text for the AFN Template is covered in Section 2 and section 3.

The draft has been simplified.

> Note: IANA previewed section 5, and agreed to it.
>
> Minor Technical issues: none
>
> Editorial issues
>
> #1 Abstract:
>
> Current
>    This document specifies a TRILL (Transparent Interconnection of
>    Lots of Links) IS-IS application sub-TLV that enables the
>    reporting by a TRILL switch of sets of addresses such that all of
>    the addresses in each set designate the same interface (port) and
>    the reporting for such a set of the TRILL switch by which it is
>    reachable.
>
> New suggested:
>    This document specifies a TRILL (Transparent Interconnection of
>    Lots of Links) IS-IS application sub-TLV that enables the
>    reporting by a TRILL switch of sets of addresses. Each set of
>    addresses reports addresses the same interface (port) and the
>    TRILL switch by which it reachable.

A change along those lines has been made.

> #2 – Section 2 – paragraph 1 p. 5
>
> Please enumerate or point to where the enumeration of the types of
> addresses.

The current text lists IPv4, IPv6, and 48-bit MAC addresses. The
following sentence has been added: "While those three types of address
are likely to be the only types of interest, any address type for
which an AFN (Address Family Number) has been assigned by IANA can be
represented."

> #3 Section 2 – page 6
>
> Current:
>
>  Addr Sets End: The unsigned integer offset of the byte, within the  IA
> APPsub-TLV value part, of the last byte of the last Address  Set. This will
> be the byte just before the first sub-sub-TLV if  any sub-sub-TLVs are
> present (see Section 3). If this is equal to  Length, there are no
> sub-sub-TLVs. If this is greater than Length or points to before the end of
> the Template, the IA APPsub-TLV is corrupt and MUST be discarded. This field
> is always two bytes in size.
>
> New
>
> Addr Sets End: The unsigned integer offset of the byte, within the IA
> APPsub-TLV value part, of the last byte of the last Address  Set. This byte
> will be the byte just before the first sub-sub-TLV if  any sub-sub-TLVs are
> present (see Section 3). The processing is as follows:
>
> ·         If this is equal to  Length, there are no sub-sub-TLVs.
>
> ·         If this is greater than Length or points to before the end of the
> Template, the IA APPsub-TLV is corrupt and MUST be discarded.
>
> ·         Note: This field is always two bytes in size.

OK.

> #3 – page 7 paragraph 3
>
>         N: Notify flag: When a TRILL switch receives a new IA APPsub-
>             TLV (one in an ESADI-LSP fragment with a higher sequence
>             number or a new message of some other type) and the N bit is
>             one, the TRILL switch then checks the contents of the
>             APPsub-TLV for address sets including both an IP address and
>             a MAC address.  For each such address set it finds, a
>             gratuitous ARP [RFC826] or spontaneous Neighbor
>             Advertisement [RFC4861], depending on whether the IP address
>             is IPv4 or IPv6 respectively, may be sent. In both cases,
>             these are sent out all the ports of the TRILL switch
>             offering end station service and are in the VLAN or FGL of
>             the address set information, that is, are Appointed
>             Forwarder for the VLAN or for the VLAN to which the FGL
>             maps.
>
> What needs changing:
>
> Old: /and are in the VLAN or FGL of/
> New: /which are in the VLAN or FGL of/  - I believe the dependent “which”
> clause is more appropriate here.

OK.

A new version -06 has been posted.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: "Susan Hares" <[email-masked]>
Date: Wed, 23 Dec 2015 11:29:00 -0500

Donald: 

Thank you for the changes.  These changes address all the comments I made in the shepherd review. 

Sue Hares 

-----Original Message-----
From: Donald Eastlake [mailto:[email-masked]] 
Sent: Sunday, December 20, 2015 1:06 PM
To: Susan Hares
Cc: [email-masked]; [email-masked]; Jon Hudson
Subject: Re: draft-ietf-trill-ia-appsubtlv-05.txt - Shepherd's review

Hi Sue,

Thanks for the comments.

> Please enumerate or point to where the enumeration of the types of 

The current text lists IPv4, IPv6, and 48-bit MAC addresses. The following sentence has been added: "While those three types of address are likely to be the only types of interest, any address type for which an AFN (Address Family Number) has been assigned by IANA can be represented."

> #3 Section 2 – page 6
>
> Current:
>
>  Addr Sets End: The unsigned integer offset of the byte, within the  
> IA APPsub-TLV value part, of the last byte of the last Address  Set. 
> This will be the byte just before the first sub-sub-TLV if  any 
> sub-sub-TLVs are present (see Section 3). If this is equal to  Length, 
> there are no sub-sub-TLVs. If this is greater than Length or points to 
> before the end of the Template, the IA APPsub-TLV is corrupt and MUST 
> be discarded. This field is always two bytes in size.
>
> New
>
> APPsub-TLV value part, of the last byte of the last Address  Set. This 
> byte will be the byte just before the first sub-sub-TLV if  any 
> sub-sub-TLVs are present (see Section 3). The processing is as follows:
>

OK.

OK.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA  [email-masked]